- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QLayoutItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 64 of file qlayoutitem.h.

`#include <qlayoutitem.h>`

Inheritance diagram for QLayoutItem:
[legend]

List of all members.

## Public Member Functions
| QLayoutItem (Qt::Alignment alignment=0)
virtual | ~QLayoutItem ()
virtual QSize | sizeHint () const =0
virtual QSize | minimumSize () const =0
virtual QSize | maximumSize () const =0
virtual Qt::Orientations | expandingDirections () const =0
virtual void | setGeometry (const QRect &)=0
virtual QRect | geometry () const =0
virtual bool | isEmpty () const =0
virtual bool | hasHeightForWidth () const
virtual int | heightForWidth (int) const
virtual int | minimumHeightForWidth (int) const
virtual void | invalidate ()
virtual QWidget * | widget ()
virtual QLayout * | layout ()
virtual QSpacerItem * | spacerItem ()
Qt::Alignment | alignment () const
void | setAlignment (Qt::Alignment a)
QSizePolicy::ControlTypes | controlTypes () const
## Protected Attributes
Qt::Alignment | align

## Constructor & Destructor Documentation

QLayoutItem | ( | Qt::Alignment | alignment = `0` | ) | `[inline, explicit]`

Definition at line 93 of file qlayoutitem.h.

        : align(aalignment) { }

virtual ~QLayoutItem | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QSize sizeHint | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QBoxLayout, QFormLayout, QGridLayout, QSpacerItem, QWidgetItem, QWidgetItemV2, and QStackedLayout.

virtual QSize minimumSize | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QBoxLayout, QFormLayout, QGridLayout, QLayout, QSpacerItem, QWidgetItem, QWidgetItemV2, and QStackedLayout.

virtual QSize maximumSize | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QBoxLayout, QGridLayout, QLayout, QSpacerItem, QWidgetItem, and QWidgetItemV2.

virtual Qt::Orientations expandingDirections | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QBoxLayout, QFormLayout, QGridLayout, QLayout, QSpacerItem, and QWidgetItem.

virtual void setGeometry | ( | const QRect & |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QBoxLayout, QFormLayout, QGridLayout, QLayout, QSpacerItem, QWidgetItem, and QStackedLayout.

virtual QRect geometry | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QLayout, QSpacerItem, and QWidgetItem.

virtual bool isEmpty | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QLayout, QSpacerItem, and QWidgetItem.

virtual bool hasHeightForWidth | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QBoxLayout, QFormLayout, QGridLayout, and QWidgetItem.

virtual int heightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QBoxLayout, QFormLayout, QGridLayout, QWidgetItem, and QWidgetItemV2.

virtual int minimumHeightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QBoxLayout, and QGridLayout.

virtual void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QBoxLayout, QFormLayout, QGridLayout, and QLayout.

virtual QWidget* widget | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QWidgetItem.

virtual QLayout* layout | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLayout.

virtual QSpacerItem* spacerItem | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QSpacerItem.

Qt::Alignment alignment | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 85 of file qlayoutitem.h.

    { return align; }

void setAlignment | ( | Qt::Alignment | a | ) |

Search for all occurrences

QSizePolicy::ControlTypes controlTypes | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

Qt::Alignment align `[protected]`

Search for all occurrences

Definition at line 90 of file qlayoutitem.h.

The documentation for this class was generated from the following file:

- QtGui/qlayoutitem.h

QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem
QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem QLayoutItem